<%@ Control Language="C#" AutoEventWireup="true" Inherits="Custom.AzureSearch"  CodeBehind="~/CMSWebParts/Custom/AzureSearch.ascx.cs" %>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script type="text/javascript">
    function FacetClick(facet) {
        if (facet != 'All') {
            document.getElementById('hidFacet').value = facet;
        }
        else {
            document.getElementById('hidFacet').value = "";
        }
        document.getElementById('btnSearch').click();
    }

    function selectauthor(author)
    {
        document.getElementById('tbSearch').value = author;
        document.getElementById('btnSearch').click();
    }
</script>
<style>
    #left {
        width: 200px;
        float: left;
    }

    #right {
        margin-left: 200px; /* Change this to whatever the width of your left column is*/
    }

    .clear {
        clear: both;
    }

    .modal-background {
        background-color: Gray;
        filter: alpha(opacity=60);
        opacity: 0.60;
        width: 100%;
        top: 0;
        left: 0;
        position: fixed;
        height: 100%;
    }

    .modal-message {
        margin: auto;
        font-family: Trebuchet MS;
        filter: alpha(opacity=100);
        opacity: 1;
        font-size: small;
        vertical-align: middle;
        top: 45%;
        position: fixed;
        right: 45%;
        color: #275721;
        text-align: center;
        background-color: White;
        padding: 20px;
    }

    .responsemessage {
        color: #000000;
    }

    .errormessage {
        color: #ff0000;
    }

    .highlight {
        background-color: yellow;
    }
</style>
<h2>Azure Search</h2>
<asp:UpdateProgress ID="upp1" runat="server" AssociatedUpdatePanelID="up1">
    <ProgressTemplate>
        <div id="loadingsection">
            <div class="modal-background">
            </div>
            <div class="modal-message">
                Working on something awesome...
            </div>
        </div>

    </ProgressTemplate>
</asp:UpdateProgress>
<asp:UpdatePanel ID="up1" runat="server">
    <ContentTemplate>
        <asp:Button ID="btnDates" runat="server" Text="Dates" CssClass="btn btn-primary" OnClick="bt_Click" Visible="false" />
        <h3>Index Actions</h3>
        <asp:Button ID="btnCreateIndex" runat="server" Text="Create Index" CssClass="btn btn-primary" OnClick="bt_Click" />
        <asp:Button ID="btnLoadIndex" runat="server" Text="Load Index" CssClass="btn btn-primary" OnClick="bt_Click" />
        <asp:Button ID="btnDeleteIndex" runat="server" Text="Delete Index" CssClass="btn btn-danger" OnClick="bt_Click" OnClientClick="return confirm('Are you sure?');" />
        <h3>Search Text</h3>
        <asp:TextBox ID="tbSearch" runat="server" AutoPostBack="true" OnTextChanged="tbSearch_TextChanged" ClientIDMode="Static"></asp:TextBox>
        <br />
        <asp:Label ID="lblSuggestions" runat="server"></asp:Label>
        <asp:PlaceHolder ID="phSuggestions" runat="server"></asp:PlaceHolder>
        <h3>Search Options</h3>
        <asp:CheckBox ID="cbHighlight" runat="server" Text=" Show Highlights" ClientIDMode="Static" />
        <br />
        <asp:CheckBox ID="cbFacets" runat="server" Text=" Show Facets" ClientIDMode="Static" />
        <br />
        <asp:CheckBox ID="cbScore" runat="server" Text=" Show Score" ClientIDMode="Static" />
        <br />
        Score Rule:
        <asp:DropDownList ID="ddlScoreRule" runat="server">
            <asp:ListItem Value="" Text="Select"></asp:ListItem>
            <asp:ListItem Value="quoteauthor" Text="Quote Author"></asp:ListItem>
            <asp:ListItem Value="quotetext" Text="Quote Text"></asp:ListItem>
            <asp:ListItem Value="custom" Text="Custom"></asp:ListItem>
        </asp:DropDownList>
        <br />
        <br />
        <asp:Button ID="btnSearch" runat="server" Text="Search" OnClick="bt_Click" CssClass="btn btn-primary" UseSubmitBehavior="true" ClientIDMode="Static" />
        <asp:Button ID="btnReset" runat="server" Text="Reset" OnClick="bt_Click" CssClass="btn btn-primary" />
        <br />
        <br />
        <h3>
            <asp:Label ID="lblTotal" runat="server"></asp:Label></h3>
        <div id="left">
            <asp:Label ID="lblFacets" runat="server"></asp:Label>
        </div>
        <div id="right">
            <asp:Label ID="lblResults" runat="server"></asp:Label>
        </div>
        <div class="clear"></div>
        <asp:HiddenField ID="hidFacet" runat="server" ClientIDMode="Static" />
    </ContentTemplate>
</asp:UpdatePanel>
